OpenapiBilling
List current user's subscription history with filtering and pagination
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Query Parameters
entitlementKey?string
Filter by entitlement key
eventType?string
Filter by event type
subscriptionStatus?string
Filter by subscription status
fromDate?string
Filter by date range start (ISO 8601)
toDate?string
Filter by date range end (ISO 8601)
page?integer
Page number (1-based, default: 1)
Format
int64Range
0 <= valuepageSize?integer
Items per page (default: 20, max: 100)
Format
int64Range
0 <= valuesortBy?string
Sort field (default: timestamp)
sortOrder?string
Sort order - asc or desc (default: desc)
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/bill/my/subscriptions/history"{ "events": [ { "actor": "string", "changes": null, "eventType": "string", "id": "string", "newState": null, "previousState": null, "subscription": { "entitlementKey": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "status": "string" }, "subscriptionId": "d079718b-ff63-45dd-947b-4950c023750f", "timestamp": "2019-08-24T14:15:22Z", "user": null } ], "pagination": { "page": "0", "pageSize": "20", "totalCount": "42", "totalPages": "3" }}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}